# boost_concept_check.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file boost_concept_check.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _BOOST_CONCEPT_CHECK_H
- #define _GLIBCXX_CLASS_REQUIRES(_type_var, _ns, _concept)
- #define _GLIBCXX_CLASS_REQUIRES2(_type_var1, _type_var2, _ns, _concept)
- #define _GLIBCXX_CLASS_REQUIRES3(_type_var1, _type_var2, _type_var3, _ns, _concept)
- #define _GLIBCXX_CLASS_REQUIRES4(_type_var1, _type_var2, _type_var3, _type_var4, _ns, _concept)
- #define _GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT(_OP, _NAME)
- #define _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT(_OP, _NAME)
- #define _IsUnused

## Functions

- template<class _Tp> void __aux_require_boolean_expr (const _Tp &__t)
- void __error_type_must_be_a_signed_integer_type ()
- void __error_type_must_be_an_integer_type ()
- void __error_type_must_be_an_unsigned_integer_type ()
- template<class _Concept> void __function_requires ()
- _GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (%, _ModOpConcept)
- _GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (-, _SubtractOpConcept)
- _GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (/, _DivideOpConcept)
- _GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT (+, _PlusOpConcept)
- _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (>=, _GreaterEqualOpConcept)
- _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (>, _GreaterThanOpConcept)
- _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (<=, _LessEqualOpConcept)
- _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (<, _LessThanOpConcept)
- _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (!=, _NotEqualOpConcept)
- _GLIBCXX_DEFINE_BINARY_PREDICATE_OP_CONSTRAINT (==, _EqualOpConcept)

## Variables

- _GLIBCXX_DEFINE_BINARY_OPERATOR_CONSTRAINT * _TimesOpConcept